FPUTWC(3)

NAME
fputwc - write a wide character to a FILE stream

SYNOPSIS
#include <stdio.h>
#include <wchar.h>

wint_t fputwc (wchar_t wc, FILE* stream);
wint_t putwc (wchar_t wc, FILE* stream);

DESCRIPTION
The fputwc function is the wide-character equivalent of the fputc function. It writes the wide character wc to stream. If ferror(stream) becomes true, it returns WEOF. If a wide character conversion error occurs, it sets errno to EILSEQ and returns WEOF. Otherwise it returns wc.

The putwc function or macro functions identically to fputwc. It may be implemented as a macro, and may evaluate its argument more than once. There is no reason ever to use it.

RETURN VALUE
The fputwc function returns wc if no error occurred, or WEOF to indicate an error.

ERRORS
Apart from the usual ones, there is

EILSEQ
    Conversion of wc to the stream's encoding fails.

CONFORMING TO
ISO/ANSI C, UNIX98

SEE ALSO
fgetwc(3), fputws(3)

NOTES
The behaviour of fputwc depends on the LC_CTYPE category of the current locale.

In the absence of additional information passed to the fopen call, it is reasonable to expect that fputwc will actually write the multibyte sequence corresponding to the wide character wc.